Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_iterator

## Name

librdf_new_iterator -- Constructor - create a new librdf_iterator object

## Synopsis

``librdf_iterator* `librdf_new_iterator`` (librdf_world * `world`, void* `context`, int (*`is_end_method`) (void*), int (*`next_method`) (void*), void* (*`get_method`) (void*, int), void (*`finished_method`) (void*));`

## Arguments

`world`

  redland world object

`context`

  context to pass to the iterator functions

`is_end_method`

  -- undescribed --

`next_method`

  -- undescribed --

`get_method`

  -- undescribed --

`finished_method`

  -- undescribed --

## Return value

a new librdf_iterator object or NULL on failure

<<< Previous | Home | Next >>>
Data Iterators | Up | librdf_free_iterator